/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0.73-1
Display is Hardward I2C 2-Wire I2C Interface 
Tested and worked with:
Works with Arduino 1.6.0 IDE  
Test OK : Arduino DUE,Arduino mega2560,Arduino UNO Board 
****************************************************/
#include <Wire.h>
#include "er_oled.h"

/*
  == Hardware connection for 4 PIN module==
    OLED   =>    Arduino
  *1. GND    ->    GND
  *2. VCC    ->    3.3V
  *3. SCL    ->    SCL
  *4. SDA    ->    SDA

 == Hardware connection for 7 PIN module==
 Note:The module needs to be jumpered to an I2C interface.
    OLED   =>    Arduino
  *1. GND    ->    GND
  *2. VCC    ->    3.3
  *3. SCL    ->    SCL
  *4. SDA    ->    SDA
  *5. RES    ->    8 
  *6. DC     ->    GND 
  *7. CS     ->    GND  
*/

uint8_t oled_buf[WIDTH * HEIGHT / 8];

void setup() {
  Serial.begin(9600);
  Serial.print("OLED Example\n");
  Wire.begin();
  
  /* display an image of bitmap matrix */
  er_oled_begin();
  er_oled_clear(oled_buf);
  er_oled_bitmap(0, 0, PIC1, 88, 128, oled_buf);
  er_oled_display(oled_buf);
  delay(3000);  
  command(0xa7);//--set Negative display 
  delay(3000);
  command(0xa6);//--set normal display
  
  er_oled_clear(oled_buf);
  er_oled_bitmap(0, 0, PIC2, 88, 128, oled_buf);
  er_oled_display(oled_buf);
  delay(3000);
  
  command(0xa7);//--set Negative display 
  delay(3000); 
  command(0xa6);//--set normal display  
  
  er_oled_clear(oled_buf);
  /* display images of bitmap matrix */
  er_oled_bitmap(0, 2, Signal816, 16, 8, oled_buf); 
  er_oled_bitmap(20, 2,Bluetooth88, 8, 8, oled_buf); 
  er_oled_bitmap(32, 2, Msg816, 16, 8, oled_buf); 
  er_oled_bitmap(60, 2, GPRS88, 8, 8, oled_buf); 
  er_oled_bitmap(72, 2, Bat816, 16, 8, oled_buf); 

  er_oled_string(8, 20, "Time:", 16, 0, oled_buf); 
  er_oled_string(8, 36, "Hour:", 16, 1, oled_buf); 
  er_oled_char3216(52, 20, '2', oled_buf);
  er_oled_char3216(68, 20, '1', oled_buf);
  er_oled_char3216(4, 65, '1', oled_buf);
  er_oled_char3216(20, 65, '2', oled_buf);
  er_oled_char3216(36, 65, ':' , oled_buf);
  er_oled_char3216(52, 65, '0', oled_buf);
  er_oled_char3216(68, 65, '5', oled_buf);
  
  er_oled_string(4, 112, "buydisplay", 16, 1, oled_buf); 
  er_oled_display(oled_buf); 
}

void loop() {

}
